Bug 1981505 - CVE-2021-32680 nextcloud: Improper audit logging for expiration date events [fedora-all]
Summary: CVE-2021-32680 nextcloud: Improper audit logging for expiration date events [...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud
Version: 34
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Christopher Engelhard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-32680
TreeView+ depends on / blocked
 
Reported: 2021-07-12 17:29 UTC by Pedro Sampaio
Modified: 2021-08-01 04:05 UTC (History)
2 users (show)

Fixed In Version: nextcloud-20.0.11-1.fc34 nextcloud-19.0.13-1.fc33 nextcloud-nextcloud_19-3420210712182738.058368ca nextcloud-nextcloud_20-3420210712182853.058368ca nextcloud-nextcloud_stable-3420210712183013.058368ca nextcloud-nextcloud_19-3320210712182738.601d93de
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-22 01:13:22 UTC
Type: ---


Attachments (Terms of Use)

Description Pedro Sampaio 2021-07-12 17:29:53 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2021-07-12 17:29:56 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1981504,1981505

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-07-13 06:38:53 UTC
FEDORA-2021-6f327296fe has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6f327296fe

Comment 3 Fedora Update System 2021-07-13 06:39:41 UTC
FEDORA-2021-9b421b78af has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9b421b78af

Comment 4 Fedora Update System 2021-07-14 01:00:58 UTC
FEDORA-2021-9b421b78af has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9b421b78af`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9b421b78af

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-07-14 01:09:54 UTC
FEDORA-2021-6f327296fe has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-6f327296fe`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-6f327296fe

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-07-15 07:35:54 UTC
FEDORA-EPEL-MODULAR-2021-0df587ee56 has been submitted as an update to Fedora Epel 8 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-0df587ee56

Comment 7 Fedora Update System 2021-07-15 07:35:55 UTC
FEDORA-MODULAR-2021-1be89c127b has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-1be89c127b

Comment 8 Fedora Update System 2021-07-15 07:35:55 UTC
FEDORA-MODULAR-2021-c115e308ed has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-c115e308ed

Comment 9 Fedora Update System 2021-07-15 07:38:55 UTC
FEDORA-EPEL-MODULAR-2021-17005d4da8 has been submitted as an update to Fedora Epel 8 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-17005d4da8

Comment 10 Fedora Update System 2021-07-15 07:38:56 UTC
FEDORA-MODULAR-2021-53991d0b55 has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-53991d0b55

Comment 11 Fedora Update System 2021-07-15 07:42:05 UTC
FEDORA-MODULAR-2021-d67f02bdc9 has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-d67f02bdc9

Comment 12 Fedora Update System 2021-07-15 07:42:20 UTC
FEDORA-MODULAR-2021-d67f02bdc9 has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-d67f02bdc9

Comment 13 Fedora Update System 2021-07-16 00:30:43 UTC
FEDORA-EPEL-MODULAR-2021-0df587ee56 has been pushed to the Fedora Epel 8 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-0df587ee56

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-07-16 00:30:55 UTC
FEDORA-EPEL-MODULAR-2021-17005d4da8 has been pushed to the Fedora Epel 8 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-17005d4da8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-07-16 00:31:05 UTC
FEDORA-EPEL-MODULAR-2021-48dfec98d3 has been pushed to the Fedora Epel 8 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2021-48dfec98d3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-07-16 00:40:15 UTC
FEDORA-MODULAR-2021-c115e308ed has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-c115e308ed

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2021-07-16 00:40:26 UTC
FEDORA-MODULAR-2021-2ae649b5e2 has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-2ae649b5e2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2021-07-16 00:40:38 UTC
FEDORA-MODULAR-2021-d67f02bdc9 has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-d67f02bdc9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2021-07-16 00:49:21 UTC
FEDORA-MODULAR-2021-1be89c127b has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-1be89c127b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2021-07-16 00:49:32 UTC
FEDORA-MODULAR-2021-53991d0b55 has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-53991d0b55

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2021-07-16 00:49:44 UTC
FEDORA-MODULAR-2021-87d113eb81 has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-87d113eb81

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2021-07-22 01:13:22 UTC
FEDORA-2021-9b421b78af has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2021-07-22 01:15:43 UTC
FEDORA-2021-6f327296fe has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Fedora Update System 2021-07-24 00:23:10 UTC
FEDORA-MODULAR-2021-1be89c127b has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 25 Fedora Update System 2021-07-24 00:23:24 UTC
FEDORA-MODULAR-2021-53991d0b55 has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 26 Fedora Update System 2021-07-24 00:23:37 UTC
FEDORA-MODULAR-2021-87d113eb81 has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 27 Fedora Update System 2021-07-24 00:24:39 UTC
FEDORA-MODULAR-2021-c115e308ed has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 28 Fedora Update System 2021-07-24 00:24:50 UTC
FEDORA-MODULAR-2021-2ae649b5e2 has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 29 Fedora Update System 2021-07-24 00:25:01 UTC
FEDORA-MODULAR-2021-d67f02bdc9 has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 30 Fedora Update System 2021-08-01 04:04:45 UTC
FEDORA-EPEL-MODULAR-2021-0df587ee56 has been pushed to the Fedora Epel 8 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 31 Fedora Update System 2021-08-01 04:04:56 UTC
FEDORA-EPEL-MODULAR-2021-17005d4da8 has been pushed to the Fedora Epel 8 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 32 Fedora Update System 2021-08-01 04:05:07 UTC
FEDORA-EPEL-MODULAR-2021-48dfec98d3 has been pushed to the Fedora Epel 8 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.